Project

General

Profile

Bug #1594

[base-openrc] Error updating user groups "/usr/bin/sysusers: line 105: [: ==: unary operator expected]" and ""usermod: group 'adm' does not exist".

ToffeeYogurtPots - over 2 years ago - . Updated over 2 years ago.

Status:
fixed
Priority:
bug
Assignee:
% Done:

100%


Description

This error happens on a new installation if you try to install the base-openrc package group. I've tested it on my main machine and a (as plain as possible) virtual machine. This doesn't interfere with installation but once you boot the system you will be unable to create any new users since the user group does not exist: "useradd: group 'users' does not exist".

I've attached an image with the exact error. Not sure what package in the "base-openrc" group triggers this.


Files

group_error.png (3.74 KB) group_error.png ToffeeYogurtPots, 2017-12-22 05:05 PM

History

#1

Updated by ToffeeYogurtPots over 2 years ago

Actually scratch that, any OpenRC package that triggers the "Updating system users and groups" process will result in this same error.

#2

Updated by ovruni over 2 years ago

  • % Done changed from 0 to 100
  • Assignee set to ovruni
  • Status changed from open to fixed
  • Due date set to 2017-12-28
#3

Updated by ovruni over 2 years ago

  • % Done changed from 100 to 50
  • Status changed from fixed to in progress
  • Due date deleted (2017-12-28)
#4

Updated by ovruni over 2 years ago

  • % Done changed from 50 to 100
  • Status changed from in progress to fixed
  • Due date set to 2018-01-06

I have added filesystem-nosystemd to base-openrc group.

Also available in: Atom PDF